Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » "Handler service cannot be null" exception in launching eclipse product.(Handler service cannot be null execption while launching an application from eclipse 4.1.1)
"Handler service cannot be null" exception in launching eclipse product. [message #761451] Tue, 06 December 2011 08:49 Go to next message
Raj is currently offline Raj
Messages: 1
Registered: December 2011
Junior Member
Hi,

I am working on upgrading eclipse application from 3.2 to eclipse 4.1.1
buildId=M20110912-1510
java.version=1.6.0_12
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US

When I will try to launch the eclipse it throws following exception

!MESSAGE Unhandled event loop exception
!STACK 0
java.lang.NullPointerException: The handler service cannot be null
at
org.eclipse.ui.internal.commands.WorkbenchCommandSupport.<init>(WorkbenchCommandSupport.java:75)
at
org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1893)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1526)
at org.eclipse.ui.internal.Workbench.access$36(Workbench.java:1481)
at org.eclipse.ui.internal.Workbench$66.run(Workbench.java:2592)
java.lang.NullPointerException: The handler service cannot be null
at
org.eclipse.ui.internal.commands.WorkbenchCommandSupport.<init>(WorkbenchCommandSupport.java:75)
at
org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1893)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1526)
at org.eclipse.ui.internal.Workbench.access$36(Workbench.java:1481)
at org.eclipse.ui.internal.Workbench$66.run(Workbench.java:2592)


I had tried many configuration settings but still no luck. Can anyone know the cause of this exception?
Please let me know if there is any guide available to upgrade from 3.2 to 4.1.1


Thanks
Re: "Handler service cannot be null" exception in launching eclipse product. [message #787367 is a reply to message #761451] Tue, 31 January 2012 08:59 Go to previous message
Lars Vogel is currently offline Lars Vogel
Messages: 1048
Registered: July 2009
Senior Member

I think you are missing required bundles for the compatibility mode.

See my Eclipse 4 and the Compatibility Layer - Tutorial tutorial.

Previous Topic:Given a view id can I find the Perspective(s) it is in
Next Topic:E4 Commands and Handlers
Goto Forum:
  


Current Time: Mon Apr 21 08:54:31 EDT 2014

Powered by FUDForum. Page generated in 0.01906 seconds